Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
radm::AccessPort Interface Reference
Inheritance diagram for radm::AccessPort:

## Classes
struct | AssociatedOutletsChangedEvent
| Event: The outlet association has changed. More...
struct | Status
struct | StatusChangedEvent
| Event: The port status have changed. More...

## Public Types
enum | Availability { AVAILABLE , OCCUPIED , BUSY , UNAVAILABLE , INACCESSIBLE }
enum | State { INACTIVE , ACTIVE }

## Public Member Functions
Status | getStatus ()
| Get port status.
vector< OutletPort > | getAssociatedOutletPorts ()
| Get associated outlet ports.
int | setAssociatedOutletPorts (in vector< OutletPort > associations)
| Set associated outlet ports.
int | doPowerOperation (in PowerOperation op)
| Execute power operation on associated outlet ports.
Public Member Functions inherited from radm::BasePort
Metadata | getMetadata ()
| Get port meta data.
string | getName ()
| Get port name.
int | setName (in string name)
| Set port name.

## Public Attributes
constant int | ERR_PDU_NOT_ACTIVE = 10
Public Attributes inherited from radm::BasePort
constant int | ERR_INVALID_ARGUMENT = 1

## Detailed Description

Definition at line 10 of file AccessPort.idl.

## Member Enumeration Documentation

## ◆ Availability

enum radm::AccessPort::Availability

Enumerator
AVAILABLE | The port is idle.
OCCUPIED | The port is used, but accepts additional connections.
BUSY | The port is used and reached the maximum connection limit.
UNAVAILABLE | The port is not ready for being connected.
INACCESSIBLE | The port is not allowed to be connected.

Definition at line 13 of file AccessPort.idl.

## ◆ State

enum radm::AccessPort::State

Enumerator
INACTIVE | The port is inactive and can not be connected to.
ACTIVE | The port is active and can be connected to.

Definition at line 21 of file AccessPort.idl.

## Member Function Documentation

## ◆ doPowerOperation()

int radm::AccessPort::doPowerOperation | ( | in PowerOperation | op | ) |

Execute power operation on associated outlet ports.

Parameters

  op | Operation to execute

Returns
  0 on success
  10 if any outlet port is not ready

## ◆ getAssociatedOutletPorts()

vector< OutletPort > radm::AccessPort::getAssociatedOutletPorts | ( |  | ) |

Get associated outlet ports.

Returns
  List of associated outlet instances

## ◆ getStatus()

Status radm::AccessPort::getStatus | ( |  | ) |

Get port status.

Returns
  Port status

## ◆ setAssociatedOutletPorts()

int radm::AccessPort::setAssociatedOutletPorts | ( | in vector< OutletPort > | associations | ) |

Set associated outlet ports.

Parameters

  associations | New list of associated outlets (must be unique, and at most 4 outlets are supported)

Returns
  0 on success
  1 if any of the outlet references is invalid

## Member Data Documentation

## ◆ ERR_PDU_NOT_ACTIVE

constant int radm::AccessPort::ERR_PDU_NOT_ACTIVE = 10

Definition at line 11 of file AccessPort.idl.

The documentation for this interface was generated from the following file:

- AccessPort.idl